Get a Shopify App Store app by handle
curl --request GET \
--url https://api.scoutlayer.io/v1/shopify/apps/{handle} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.io/v1/shopify/apps/{handle}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.io/v1/shopify/apps/{handle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"handle": "<string>",
"iconUrl": "<string>",
"rating": 123,
"reviewsCount": 123,
"developer": {
"name": "<string>",
"address": "<string>",
"url": "<string>",
"website": "<string>"
},
"languages": [
"<string>"
],
"categories": [
{
"name": "<string>",
"url": "<string>",
"handle": "<string>"
}
],
"worksWith": [
"<string>"
],
"pricing": "<string>",
"pricings": [
{
"name": "<string>",
"price": "<string>",
"period": "<string>",
"description": "<string>",
"features": [
"<string>"
]
}
],
"releasedAt": "<string>",
"isBuiltForShopify": true
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Shopify Apps
Shopify App Profile API
Name, description, rating, developer, categories, pricing plans, and more for one app.
GET
/
v1
/
shopify
/
apps
/
{handle}
Get a Shopify App Store app by handle
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Path Parameters
Minimum string length:
1Example:
"klaviyo"
Response
Get a Shopify App Store app by handle
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I